Subject: Re: bug#11606: 24.1; Get rid of buffer local hook variables in find-file.el

From: Stefan Monnier <[email-masked]>
Date: Sun, 03 Jun 2012 11:18:23 -0400

>> I also like removing those, but I still don't know why you think these
>> can be removed safely.
> I was thinking that add-hook supports adding local hooks which might be
> better than making those hooks buffer-local.

That's generally true, but (add-hook 'foo 'bar) operates on the local
part if the var is `make-variable-buffer-local', so the removal you
suggest would break code that relies on this detail.

> What are your concerns about their safety?

My concern is that I know nothing about these variables, so I have no
way to judge whether removing those things is safe.

        Stefan